	import java.awt.Rectangle;

public class MonstreAgressif extends Monstre{
		int level,k;
	public MonstreAgressif(float x, float y, int largeur, int hauteur, int level){
		super(x,y,largeur,hauteur);
		this.level=level;
		
		if(level == 1){
			vie=5000;
			degat=40;
		}
		if(level == 2){
			vie=15000;
			degat=60;
		}
		if(level == 3){
			vie=30000;
			degat=100;
		}
	}
	
	
	//Cree une zone d'aggression, si le joueur se trouve dans cette zone, le montre se dirigera avec lui, sinon il se déplace aléatoirement
	public void tick(){
		xMove = 0;
		yMove = 0;
		//creation du rectangle d'aggression autour du monstre
		Rectangle ra = new Rectangle((int)x - 250 ,(int)y-250,1000,1000);
		//creation du rectangle du joueur en fonction de sa position
		Rectangle rj = new Rectangle ((int)(Fenetre.j1.x), (int)(Fenetre.j1.y ),Fenetre.j1.largeur , Fenetre.j1.hauteur);
		
		deplacement  = System.currentTimeMillis() - dernierDeplacement;
		if(deplacement > cooldown){
				dernierDeplacement = System.currentTimeMillis(); 
		
		
			if(!ra.intersects(rj)){
				deplacement();
			}else{
				
					if(x>Fenetre.j1.x && x>Fenetre.j1.x+Fenetre.j1.largeur){
						xMove-=vitesse/2;
						direction = 1;
					}else if(x<Fenetre.j1.x && x<= Fenetre.j1.x+Fenetre.j1.largeur){
						xMove+=vitesse/2;
						direction = 0;
					}else if(x>=Fenetre.j1.x && x<=Fenetre.j1.x+Fenetre.j1.largeur)
						xMove=0;
					else
						xMove=0;
						
							
					if(y>Fenetre.j1.y && y>Fenetre.j1.y+Fenetre.j1.hauteur){
						yMove-=vitesse/2;
						direction = 2;
					}else if(y<Fenetre.j1.y && y<Fenetre.j1.y+Fenetre.j1.hauteur){
						yMove+=vitesse/2;
						direction =3;
					}else if(y>=Fenetre.j1.y && y <=Fenetre.j1.y+Fenetre.j1.hauteur)
						yMove=0;
					else
						yMove=0;
				
				
			}
			animationTick();
			move();
			attaque();
		}
		
	}
	
	//Controle l'animation de l'image des monstre en fonction du monstre
	public void animationTick(){
	
		
		k++;
		if(k>1)
			k=0;
		if(level==1)
			imageMonstre = ImageLoader.ImgLoaderSpe("monstre1.gif", 22*k, 18*direction, 22, 18);
		else if(level==2)
			imageMonstre = ImageLoader.ImgLoaderSpe("monstre2.gif", 26*k, 30*direction, 26, 30);
			
		else if(level == 3)
			imageMonstre = ImageLoader.ImgLoaderSpe("monstre3.gif", 30*k, 36*direction, 30, 36);
	}
	
	
	//Voir class mère
	public void meurt(){
		Fenetre.gAnim.removeAll();
		Audio.playSound("meurtE.wav");
		AnimationMort a = new AnimationMort((int)x,(int)y);
		a.t1=System.currentTimeMillis();
		Fenetre.gAnim.addAnim(a);
		if(level == 1)
			Fenetre.gItem.addItem(Liste.iViandeLoup.nouvelItem((int)x+largeur/3,(int) y+hauteur/3));
		if(level == 2)
			Fenetre.gItem.addItem(Liste.iViandeOurs.nouvelItem((int)x+largeur/3,(int) y+hauteur/3));
			
		Fenetre.gItem.addItem(Liste.iPeau.nouvelItem((int)x+largeur,(int) y+hauteur));
		
		Fenetre.gRespawn.addRespawn(new Respawn(this));
		
	}
		
	
	
	
	
}
